# mc3: Multi-core Markov-chain Monte Carlo
> A Python implementation of the Markov-chain Monte Carlo algorithm.

[![Tests](https://github.com/pcubillos/mc3/actions/workflows/python-package.yml/badge.svg?branch=master)](https://github.com/pcubillos/mc3/actions/workflows/python-package.yml)
[![Documentation Status](https://readthedocs.org/projects/mc3/badge/?version=latest)](https://mc3.readthedocs.io/en/latest/?badge=latest)
[![PyPI](https://img.shields.io/pypi/v/mc3.svg)](https://pypi.org/project/mc3)
[![Conda Version](https://img.shields.io/conda/vn/conda-forge/mc3.svg)](https://anaconda.org/conda-forge/mc3)
[![GitHub](https://img.shields.io/github/license/pcubillos/mc3.svg?color=blue)](https://mc3.readthedocs.io/en/latest/license.html)

### Install as:
```
pip install mc3
```
or:
```
conda install -c conda-forge mc3
```

### Docs at:
<https://mc3.readthedocs.io/en/latest/>

### Cite as:
```bibtex
@ARTICLE{CubillosEtal2017apjRednoise,
       author = {{Cubillos}, Patricio and {Harrington}, Joseph and {Loredo}, Thomas J. and {Lust}, Nate B. and {Blecic}, Jasmina and {Stemm}, Madison},
        title = "{On Correlated-noise Analyses Applied to Exoplanet Light Curves}",
      journal = {\aj},
     keywords = {methods: statistical, planets and satellites: fundamental parameters, techniques: photometric, Astrophysics - Earth and Planetary Astrophysics},
         year = 2017,
        month = jan,
       volume = {153},
       number = {1},
          eid = {3},
        pages = {3},
          doi = {10.3847/1538-3881/153/1/3},
archivePrefix = {arXiv},
       eprint = {1610.01336},
 primaryClass = {astro-ph.EP},
       adsurl = {https://ui.adsabs.harvard.edu/abs/2017AJ....153....3C},
      adsnote = {Provided by the SAO/NASA Astrophysics Data System}
}
```

